//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VakifDataTransferNew.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class PersonalRelation
    {
        public System.Guid Id { get; set; }
        public string CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public string ModifiedBy { get; set; }
        public Nullable<System.DateTime> ModifiedDate { get; set; }
        public bool IsActive { get; set; }
        public System.Guid WhoId { get; set; }
        public System.Guid WhoTypeId { get; set; }
        public System.Guid WhoseId { get; set; }
        public System.Guid WhoseTypeId { get; set; }
        public Nullable<bool> IsHeir { get; set; }
        public string Note { get; set; }
    
        public virtual PersonalRelationType PersonalRelationType { get; set; }
        public virtual PersonalRelationType PersonalRelationType1 { get; set; }
        public virtual Person Person { get; set; }
        public virtual Person Person1 { get; set; }
    }
}
